Subject: Re: bug#41344: Font broken in GUI application with guix pack

From: Alexandros Theodotou <[email-masked]>
Date: Tue, 19 May 2020 18:49:00 +0100

> Did it work roughly before the ‘core-updates’ merge?

This is the first time I tried `guix pack` so I don't know.

> As discussed on IRC, could you check “strace -f” the program and
> check
> where it’s looking for fonts (TTFs?)?

I'm not really sure what to look for. Here is the strace -f output: 
https://www.zrythm.org/downloads/trace.text.tar.gz

The package I'm trying to pack is zrythm-next from here:
https://git.zrythm.org/cgit/guix-repo/tree/audio.scm

Thanks,
Alex

On Tue, 2020-05-19 at 15:43 +0200, Ludovic Courtès wrote:
> 
> 
> 
> Our ‘fontconfig’ package searches ~/.guix-profile/share/fonts and
> /run/current-system/profile/share/fonts by default, which obviously
> doesn’t work on foreign distros.
> 
> 
> 
> Thanks,
> Ludo’.